# List Pockets For Customers

Retrieve all Pockets for a list of Customers.

Endpoint: GET /api/v2/pockets/
Version: Version: b6359d9a
Security: HTTPBearer

## Query parameters:

  - `omit[]` (any)

  - `cursor` (any)

  - `limit` (integer)

  - `valuation_type` (any)

  - `filter[status]` (array)
    Enum: "PENDING", "OPEN", "FROZEN", "CLOSED"

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required)

  - `items.id` (string, required)
    ID of the pocket

  - `items.pocket_name` (string, required)
    Pocket name

  - `items.portfolio` (any)
    Total liquid cash and holdings

  - `items.status` (string, required)
    Pocket status
    Enum: "PENDING", "OPEN", "FROZEN", "CLOSED"

  - `items.attributes` (array)

  - `items.deposit_strategy_id` (string, required)
    Pocket deposit trading strategy ID (Example: UST-4W)

  - `items.reinvestment_strategy_id` (any, required)
    Pocket reinvestment trading strategy ID (Example: UST-4W)

  - `items.type` (any)
    Pocket type

  - `items.customer_id` (string, required)
    The ID of the customer this pocket belongs to

  - `items.object_type` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)


